<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="namespaceOgre_1_1RTShader.html">RTShader</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">HLSLProgramProcessor</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RTShader::HLSLProgramProcessor Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a4719f868d8fe3993a7f3f816276c5af2">bindAutoParameters</a>(Program *pCpuProgram, GpuProgramPtr pGpuProgram)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a13f1ecf882f00aa063cd389f5dde8b6f">buildMergeCombinations</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a2cfe65cba64966e9c8b9b2bc6019de23">buildParameterReferenceMap</a>(FunctionAtomInstanceList &amp;funcAtomList, ParameterOperandMap &amp;paramsRefMap)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a77c7a05cc0e82b5206207926f8a236de">buildTexcoordTable</a>(const ShaderParameterList &amp;paramList, ShaderParameterList outParamsTable[4])</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ab5da5dd15276e845bb154d37da2609b6">compactVsOutputs</a>(Function *vsMain, Function *fsMain)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a28006c7e9a600fe675ff4d1b7e23b9b0">countVsTexcoordOutputs</a>(Function *vsMain, int &amp;outTexCoordSlots, int &amp;outTexCoordFloats)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ab804286b7ceec3520888687a43f57b05">generateLocalSplitParameters</a>(Function *func, GpuProgramType progType, MergeParameterList &amp;mergedParams, ShaderParameterList &amp;splitParams, LocalParameterMap &amp;localParamsMap)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a56c5d6f12f0eef27574321db939767ee">getParameterFloatCount</a>(GpuConstantType type)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a7d4cc1775674d3fa947bee1b978d9f61">getParameterMaskByFloatCount</a>(int floatCount)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#aff0d37e4144948c20edeb4b9e2b2e1e5">getParameterMaskByType</a>(GpuConstantType type)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#ae10a2fcb09e8cedc6ee9fe28e5279814">getTargetLanguage</a>() const </td><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#a5e3d3412bd3b0ca65d0180878b889f87">HLSLProgramProcessor</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#aed0a909440b35a25ed3f29349f59a5b2">LocalParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a3c0d805a8cdf9a02b95bcfeb80dc331c">MergeCombinationList</a> typedef</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a9079cdbbb382cabac306faa9d407e4b9">MergeParameterList</a> typedef</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a8b5b5b24fce13f87944b3604147b3f8b">mergeParameters</a>(ShaderParameterList paramsTable[4], MergeParameterList &amp;mergedParams, ShaderParameterList &amp;splitParams)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ac8db78a9768e4d66c7557302bef26b75">mergeParametersByCombination</a>(const MergeCombination &amp;combination, ShaderParameterList paramsTable[4], MergeParameter *mergedParameter)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ad869da13ecb3be55b41af83d302be547">mergeParametersByPredefinedCombinations</a>(ShaderParameterList paramsTable[4], MergeParameterList &amp;mergedParams)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a287bde31d129b95ea112002019701ba5">mergeParametersReminders</a>(ShaderParameterList paramsTable[4], MergeParameterList &amp;mergedParams, ShaderParameterList &amp;splitParams)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ad88eb5eeb95f7cbe526b124e793fd6ae">mFunctionMap</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ada7e3fd71cc0ce8aee28b5fe0b90d13e">mMaxTexCoordFloats</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#af100cb3dc3fdd00a44e85922df61863c">mMaxTexCoordSlots</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a060e0a7726b01ff4bc1c83fc064ba406">mParamMergeCombinations</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a03d0a099a4a495164fe4603d814d18b9">OperandPtrVector</a> typedef</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a8106d085867928cfe50d3b5a6e6b6ed7">ParameterOperandMap</a> typedef</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#a98e212159432f6e6488e64ad0d70e07d">postCreateGpuPrograms</a>(ProgramSet *programSet)</td><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#a6ac2d5788fe9a8b0414126b4ddddc27f">preCreateGpuPrograms</a>(ProgramSet *programSet)</td><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a1cd38e9533321ffbb8e22970f2307e48">ProgramProcessor</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a2709aaaeacbdfff92a185ea00351a82f">rebuildFunctionInvocations</a>(FunctionAtomInstanceList &amp;funcAtomList, MergeParameterList &amp;mergedParams, LocalParameterMap &amp;localParamsMap)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#a1ccfd04b91d75f3c2d4052ad9446a9f5">rebuildParameterList</a>(Function *func, int paramsUsage, MergeParameterList &amp;mergedParams)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#ab2280321a2bdfcc53b7c90c7b0f30e9e">replaceParametersReferences</a>(MergeParameterList &amp;mergedParams, ParameterOperandMap &amp;paramsRefMap)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#af05beb732b744cacd0d22644a8875bb7">replaceSplitParametersReferences</a>(LocalParameterMap &amp;localParamsMap, ParameterOperandMap &amp;paramsRefMap)</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#aa293c015d9e2ebb53f4d5b7a115c672f">TargetLanguage</a></td><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html#ac496b56d23e97b08eab3c8849bfe2241">~HLSLProgramProcessor</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1HLSLProgramProcessor.html">Ogre::RTShader::HLSLProgramProcessor</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html#aa27787cf352ff2ac055328e7a31e1f41">~ProgramProcessor</a>()</td><td><a class="el" href="classOgre_1_1RTShader_1_1ProgramProcessor.html">Ogre::RTShader::ProgramProcessor</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:32
</p>
</body>
</html>
